> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/flatredball/content/scene/scenesave.md).

# SceneSave

### Introduction

The SceneSave class is a class responsible for loading .scnx files and providing the information in a way that can be used to construct runtime objects. SceneSaves can also be used to save .scnx files easily.

### SceneSave vs. SpriteEditorScene

SceneSave is a class that is a replacement for SpriteEditorScene. It is functionally identical, but follows the "Save" naming convention present in the rest of the engine. During this transition you can look at the [SpriteEditorScene wiki page](https://github.com/flatredball/FlatRedBallDocs/tree/main/frb/docs/index.php) for information on how to work with SceneSave.

Did this article leave any questions unanswered? Post any question in our [forums](https://github.com/flatredball/FlatRedBallDocs/tree/main/frb/forum.md) for a rapid response.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/content/scene/scenesave.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
